package cn.dg32z.lon.checks.impl.player.placement;

import cn.dg32z.libs.com.github.retrooper.packetevents.event.PacketReceiveEvent;
import cn.dg32z.libs.com.github.retrooper.packetevents.protocol.world.BlockFace;
import cn.dg32z.libs.com.github.retrooper.packetevents.util.Vector3f;
import cn.dg32z.libs.com.github.retrooper.packetevents.util.Vector3i;
import cn.dg32z.lon.checks.CheckData;
import cn.dg32z.lon.checks.type.BlockPlaceCheck;
import cn.dg32z.lon.player.PlayerData;
import java.security.MessageDigest;
import java.util.ArrayList;
import java.util.List;
import javax.crypto.Cipher;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.DESKeySpec;
import javax.crypto.spec.IvParameterSpec;

@CheckData(name = "MultiPlace", experimental = true)
/* loaded from: cn_dg32z_lon_checks_impl_player_placement.jar:cn/dg32z/lon/checks/impl/player/placement/MultiPlace.class */
public final class MultiPlace extends BlockPlaceCheck {
    private BlockFace lastFace;
    private boolean hasPlaced;
    private Vector3f lastCursor;
    private final List flags;
    private Vector3i lastPos;
    static Object a;

    /* JADX WARN: Multi-variable type inference failed */
    static {
        int i;
        byte[] bytes = "í\u0080$Ð0¨÷z\u0082D\u0098\u0080D(Îd8á}$®\u008d·¤\u0007\u0016³\u001ey@$³°\u000f\u0084¾\u008b»\u0003\u0088".getBytes("ISO_8859_1");
        byte[] bytes2 = "\u008f\u0084 QasÙ\u000e".getBytes("ISO_8859_1");
        int i2 = 0;
        int length = bytes.length;
        do {
            switch (bytes[i2] & 255) {
                case false:
                    i = -1394183162;
                    break;
                case true:
                    i = 2006355931;
                    break;
                case true:
                    i = 209692105;
                    break;
                case true:
                    i = 1456624282;
                    break;
                case true:
                    i = -1832727558;
                    break;
                case true:
                    i = 428608163;
                    break;
                case true:
                    i = 1157528169;
                    break;
                case true:
                    i = 423101315;
                    break;
                case true:
                    i = -1432620013;
                    break;
                case true:
                    i = 1411963776;
                    break;
                case true:
                    i = 219805853;
                    break;
                case true:
                    i = 730351068;
                    break;
                case true:
                    i = 146271523;
                    break;
                case true:
                    i = 2121251033;
                    break;
                case true:
                    i = -533339678;
                    break;
                case true:
                    i = 1514747502;
                    break;
                case true:
                    i = 720575962;
                    break;
                case true:
                    i = 761033471;
                    break;
                case true:
                    i = 588598335;
                    break;
                case true:
                    i = -1692323157;
                    break;
                case true:
                    i = 2029441552;
                    break;
                case true:
                    i = 1677671711;
                    break;
                case true:
                    i = -325025999;
                    break;
                case true:
                    i = 1275132349;
                    break;
                case true:
                    i = -2058675760;
                    break;
                case true:
                    i = -2132823355;
                    break;
                case true:
                    i = 306060256;
                    break;
                case true:
                    i = -1702423417;
                    break;
                case true:
                    i = 523599299;
                    break;
                case true:
                    i = 1595199646;
                    break;
                case true:
                    i = -252263348;
                    break;
                case true:
                    i = 1785644123;
                    break;
                case true:
                    i = -1804967573;
                    break;
                case true:
                    i = -23170224;
                    break;
                case true:
                    i = -1503090629;
                    break;
                case true:
                    i = -64090069;
                    break;
                case true:
                    i = 1169099393;
                    break;
                case true:
                    i = 1331684517;
                    break;
                case true:
                    i = -855471834;
                    break;
                case true:
                    i = 1259065263;
                    break;
                case true:
                    i = -1226402933;
                    break;
                case true:
                    i = -471693682;
                    break;
                case true:
                    i = -1672206291;
                    break;
                case true:
                    i = 87012543;
                    break;
                case true:
                    i = -639349432;
                    break;
                case true:
                    i = 134401583;
                    break;
                case true:
                    i = -222542852;
                    break;
                case true:
                    i = -574899692;
                    break;
                case true:
                    i = -1878894206;
                    break;
                case true:
                    i = 454621783;
                    break;
                case true:
                    i = 395999436;
                    break;
                case true:
                    i = 438273502;
                    break;
                case true:
                    i = 1495497106;
                    break;
                case true:
                    i = -263047370;
                    break;
                case true:
                    i = 1722663460;
                    break;
                case true:
                    i = -976519101;
                    break;
                case true:
                    i = 1001609790;
                    break;
                case true:
                    i = 570833208;
                    break;
                case true:
                    i = -458332182;
                    break;
                case true:
                    i = 594730636;
                    break;
                case true:
                    i = 11067734;
                    break;
                case true:
                    i = -1323278655;
                    break;
                case true:
                    i = 1958511605;
                    break;
                case true:
                    i = 1315487950;
                    break;
                case true:
                    i = -1933427197;
                    break;
                case true:
                    i = 1735586659;
                    break;
                case true:
                    i = -466972524;
                    break;
                case true:
                    i = -1433001547;
                    break;
                case true:
                    i = 359318396;
                    break;
                case true:
                    i = 1715350354;
                    break;
                case true:
                    i = -927100994;
                    break;
                case true:
                    i = -1286908758;
                    break;
                case true:
                    i = 406243336;
                    break;
                case true:
                    i = 681302505;
                    break;
                case true:
                    i = -1561149969;
                    break;
                case true:
                    i = -100061436;
                    break;
                case true:
                    i = -941480805;
                    break;
                case true:
                    i = 1461456991;
                    break;
                case true:
                    i = 1685384244;
                    break;
                case true:
                    i = 327889811;
                    break;
                case true:
                    i = 1166144329;
                    break;
                case true:
                    i = -705813328;
                    break;
                case true:
                    i = 1357507057;
                    break;
                case true:
                    i = -1138933919;
                    break;
                case true:
                    i = -1335706283;
                    break;
                case true:
                    i = -323699340;
                    break;
                case true:
                    i = -1092444895;
                    break;
                case true:
                    i = 1776070405;
                    break;
                case true:
                    i = 1461202191;
                    break;
                case true:
                    i = -1378159450;
                    break;
                case true:
                    i = -29442682;
                    break;
                case true:
                    i = -1389497333;
                    break;
                case true:
                    i = 550762750;
                    break;
                case true:
                    i = 1982571854;
                    break;
                case true:
                    i = 855586113;
                    break;
                case true:
                    i = 1387066624;
                    break;
                case true:
                    i = 1668126814;
                    break;
                case true:
                    i = -1949599286;
                    break;
                case true:
                    i = 1167111218;
                    break;
                case true:
                    i = -143666279;
                    break;
                case true:
                    i = -1864565377;
                    break;
                case true:
                    i = 1355369142;
                    break;
                case true:
                    i = -968231264;
                    break;
                case true:
                    i = 1037625000;
                    break;
                case true:
                    i = -2105123046;
                    break;
                case true:
                    i = -528487912;
                    break;
                case true:
                    i = 1332722150;
                    break;
                case true:
                    i = -1213334482;
                    break;
                case true:
                    i = 970312249;
                    break;
                case true:
                    i = 859792709;
                    break;
                case true:
                    i = 969571585;
                    break;
                case true:
                    i = -419938971;
                    break;
                case true:
                    i = 143465122;
                    break;
                case true:
                    i = 1751340524;
                    break;
                case true:
                    i = 1777887341;
                    break;
                case true:
                    i = -74368470;
                    break;
                case true:
                    i = -1878038470;
                    break;
                case true:
                    i = -1352738832;
                    break;
                case true:
                    i = 1248332621;
                    break;
                case true:
                    i = -1804138631;
                    break;
                case true:
                    i = -2111749030;
                    break;
                case true:
                    i = 2073966312;
                    break;
                case true:
                    i = 1166987557;
                    break;
                case true:
                    i = 1128949107;
                    break;
                case true:
                    i = -1488642316;
                    break;
                case true:
                    i = 2024368522;
                    break;
                case true:
                    i = -4697916;
                    break;
                case true:
                    i = -1426626672;
                    break;
                case true:
                    i = 1263517943;
                    break;
                case true:
                    i = -1024334897;
                    break;
                case true:
                    i = 1174000576;
                    break;
                case true:
                    i = 834276334;
                    break;
                case true:
                    i = -1203190487;
                    break;
                case true:
                    i = -1586928413;
                    break;
                case true:
                    i = -358102108;
                    break;
                case true:
                    i = -1749700855;
                    break;
                case true:
                    i = 107440669;
                    break;
                case true:
                    i = -1280916163;
                    break;
                case true:
                    i = 1029768028;
                    break;
                case true:
                    i = -1620086507;
                    break;
                case true:
                    i = -298049342;
                    break;
                case true:
                    i = -885461253;
                    break;
                case true:
                    i = 1067302583;
                    break;
                case true:
                    i = -236403256;
                    break;
                case true:
                    i = -333725848;
                    break;
                case true:
                    i = 1947690392;
                    break;
                case true:
                    i = 1424959460;
                    break;
                case true:
                    i = -1239882639;
                    break;
                case true:
                    i = 1508461225;
                    break;
                case true:
                    i = 992165502;
                    break;
                case true:
                    i = -906121865;
                    break;
                case true:
                    i = -128394998;
                    break;
                case true:
                    i = -358117233;
                    break;
                case true:
                    i = -1314765701;
                    break;
                case true:
                    i = -585417866;
                    break;
                case true:
                    i = 322917073;
                    break;
                case true:
                    i = 1779184564;
                    break;
                case true:
                    i = -590765561;
                    break;
                case true:
                    i = -785880105;
                    break;
                case true:
                    i = 1034317367;
                    break;
                case true:
                    i = -840841083;
                    break;
                case true:
                    i = -2146663136;
                    break;
                case true:
                    i = 1037700753;
                    break;
                case true:
                    i = 845626893;
                    break;
                case true:
                    i = -1885393637;
                    break;
                case true:
                    i = -2093593160;
                    break;
                case true:
                    i = 694076006;
                    break;
                case true:
                    i = 1794878962;
                    break;
                case true:
                    i = 913718617;
                    break;
                case true:
                    i = -1851823228;
                    break;
                case true:
                    i = 1161454962;
                    break;
                case true:
                    i = -2014250089;
                    break;
                case true:
                    i = -981695184;
                    break;
                case true:
                    i = 558300083;
                    break;
                case true:
                    i = -718824555;
                    break;
                case true:
                    i = 2116161041;
                    break;
                case true:
                    i = -88827476;
                    break;
                case true:
                    i = -158686467;
                    break;
                case true:
                    i = -1590839256;
                    break;
                case true:
                    i = -950912046;
                    break;
                case true:
                    i = -1964559186;
                    break;
                case true:
                    i = 1188651961;
                    break;
                case true:
                    i = -837040429;
                    break;
                case true:
                    i = -852078675;
                    break;
                case true:
                    i = -1482208590;
                    break;
                case true:
                    i = 425023368;
                    break;
                case true:
                    i = 1736407519;
                    break;
                case true:
                    i = -930942667;
                    break;
                case true:
                    i = -2134074841;
                    break;
                case true:
                    i = -349995577;
                    break;
                case true:
                    i = -969325107;
                    break;
                case true:
                    i = 1735702346;
                    break;
                case true:
                    i = 1029999516;
                    break;
                case true:
                    i = -580377314;
                    break;
                case true:
                    i = 758967146;
                    break;
                case true:
                    i = 1639413885;
                    break;
                case true:
                    i = 1104234498;
                    break;
                case true:
                    i = 1877053405;
                    break;
                case true:
                    i = -182439961;
                    break;
                case true:
                    i = 534229323;
                    break;
                case true:
                    i = -305433363;
                    break;
                case true:
                    i = -1678127338;
                    break;
                case true:
                    i = 1427082902;
                    break;
                case true:
                    i = 1405229340;
                    break;
                case true:
                    i = 1031462935;
                    break;
                case true:
                    i = -733736180;
                    break;
                case true:
                    i = 1322983800;
                    break;
                case true:
                    i = -1417498758;
                    break;
                case true:
                    i = -1726012894;
                    break;
                case true:
                    i = 988335122;
                    break;
                case true:
                    i = -364112991;
                    break;
                case true:
                    i = 414570443;
                    break;
                case true:
                    i = 1460207606;
                    break;
                case true:
                    i = 1103587798;
                    break;
                case true:
                    i = -736805190;
                    break;
                case true:
                    i = -1020042738;
                    break;
                case true:
                    i = 3271778;
                    break;
                case true:
                    i = -1068786203;
                    break;
                case true:
                    i = -1799886257;
                    break;
                case true:
                    i = -39548052;
                    break;
                case true:
                    i = -925942928;
                    break;
                case true:
                    i = 2019514872;
                    break;
                case true:
                    i = 98549241;
                    break;
                case true:
                    i = 607339224;
                    break;
                case true:
                    i = 672310067;
                    break;
                case true:
                    i = -1799225945;
                    break;
                case true:
                    i = -280538300;
                    break;
                case true:
                    i = 1905415961;
                    break;
                case true:
                    i = 1428303983;
                    break;
                case true:
                    i = 580937309;
                    break;
                case true:
                    i = -378991201;
                    break;
                case true:
                    i = -1568448416;
                    break;
                case true:
                    i = 929950396;
                    break;
                case true:
                    i = 500226136;
                    break;
                case true:
                    i = -766111660;
                    break;
                case true:
                    i = -587702201;
                    break;
                case true:
                    i = 506042983;
                    break;
                case true:
                    i = -976162581;
                    break;
                case true:
                    i = 1917289869;
                    break;
                case true:
                    i = 993825088;
                    break;
                case true:
                    i = 706058889;
                    break;
                case true:
                    i = 2027100147;
                    break;
                case true:
                    i = -266562443;
                    break;
                case true:
                    i = -1502552220;
                    break;
                case true:
                    i = -1775663915;
                    break;
                case true:
                    i = -720623806;
                    break;
                case true:
                    i = -1673944516;
                    break;
                case true:
                    i = 996008785;
                    break;
                case true:
                    i = 325072596;
                    break;
                case true:
                    i = -431408965;
                    break;
                case true:
                    i = 2019807942;
                    break;
                case true:
                    i = 1114013873;
                    break;
                case true:
                    i = -636189727;
                    break;
                case true:
                    i = 1776339795;
                    break;
                case true:
                    i = -142747092;
                    break;
                case true:
                    i = 478372678;
                    break;
                default:
                    i = 1280471472;
                    break;
            }
            int i3 = i2;
            i2++;
            bytes[i3] = (byte) i;
        } while (i2 != length);
        Cipher cipher = Cipher.getInstance("DES/CBC/PKCS5Padding");
        cipher.init(2, SecretKeyFactory.getInstance("DES").generateSecret(new DESKeySpec(bytes2)), new IvParameterSpec(new byte[8]));
        byte[] doFinal = cipher.doFinal(bytes);
        int length2 = doFinal.length;
        MessageDigest messageDigest = MessageDigest.getInstance("SHA-256");
        messageDigest.reset();
        int i4 = length2 - 32;
        messageDigest.update(doFinal, 0, i4);
        byte[] digest = messageDigest.digest();
        int i5 = 0;
        Object[] objArr = false;
        int i6 = 0;
        do {
            objArr = (objArr == true ? 1 : 0) | (doFinal[i4 + i5] ^ digest[i5]) ? 1 : 0;
            i5++;
        } while (i5 != 32);
        if (objArr == true) {
            return;
        }
        Object[] objArr2 = new Object[1];
        a = objArr2;
        int i7 = 0;
        do {
            int i8 = i7;
            int i9 = i7 + 1;
            int i10 = i9 + 1;
            int i11 = (doFinal[i8] & 255) | ((doFinal[i9] & 255) << 8);
            byte[] bArr = new byte[i11];
            System.arraycopy(doFinal, i10, bArr, 0, i11);
            i7 = i10 + i11;
            int i12 = i6;
            i6++;
            objArr2[i12] = new String(bArr, "UTF-8").intern();
        } while (i7 != i4);
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -1
        	at java.base/java.util.BitSet.set(BitSet.java:449)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:73)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public java.lang.String toUnlabledString(cn.dg32z.libs.com.github.retrooper.packetevents.util.Vector3f r7) {
        /*
            r6 = this;
            goto L27
        L3:
            return r-1
        L4:
            r-1 = r7
            float r-1 = r-1.x
            r0 = r7
            float r0 = r0.y
            r1 = r7
            float r1 = r1.z
            r-1 + ", " + r0 + ", " + r1
            r0 = 4651021391045328896(0x408bbf5020000000, double:887.9141235351562)
            r1 = 4591870180066957722(0x3fb999999999999a, double:0.1)
            double r0 = r0 - r1
            r1 = 1147008027(0x445df41b, float:887.81415)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L3
            goto L3
        L27:
            r0 = r7
            if (r0 != 0) goto L4
            r0 = -417726464(0xffffffffe71a0000, float:-7.2724444E23)
            char r0 = (char) r0
            java.lang.Object r0 = a(r0)
            java.lang.String r0 = (java.lang.String) r0
            goto L3
            throw r0
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.player.placement.MultiPlace.toUnlabledString(cn.dg32z.libs.com.github.retrooper.packetevents.util.Vector3f):java.lang.String");
    }

    /*  JADX ERROR: JadxOverflowException in pass: RegionMakerVisitor
        jadx.core.utils.exceptions.JadxOverflowException: Regions count limit reached
        	at jadx.core.utils.ErrorsCounter.addError(ErrorsCounter.java:59)
        	at jadx.core.utils.ErrorsCounter.error(ErrorsCounter.java:31)
        	at jadx.core.dex.attributes.nodes.NotificationAttrNode.addError(NotificationAttrNode.java:19)
        */
    /* JADX WARN: Removed duplicated region for block: B:14:0x0057  */
    /* JADX WARN: Removed duplicated region for block: B:8:0x0012 A[SYNTHETIC] */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:12:0x0054 -> B:8:0x0016). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public void onPredictionComplete(cn.dg32z.lon.utils.update.PredictionComplete r6) {
        /*
            r5 = this;
            r0 = 0
            r7 = r0
            r0 = 0
            r8 = r0
            goto L7
        L7:
            r0 = r5
            cn.dg32z.lon.player.PlayerData r0 = r0.player
            boolean r0 = r0.canSkipTicks()
            if (r0 != 0) goto L31
            return
        L12:
            return
        L13:
            goto L4e
        L16:
            r0 = r5
            java.util.List r0 = r0.flags
            r0.clear()
            r0 = 4647998995178717184(0x40810275c0000000, double:544.3074951171875)
            r1 = 4600877379321698714(0x3fd999999999999a, double:0.4)
            double r0 = r0 - r1
            r1 = 1141373460(0x4407fa14, float:543.9075)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L12
            goto L13
        L31:
            r0 = r5
            cn.dg32z.lon.player.PlayerData r0 = r0.player
            r1 = 3
            boolean r0 = r0.isTickingReliablyFor(r1)
            if (r0 == 0) goto L16
            r0 = 4653362219088609280(0x40941048a0000000, double:1284.0709228515625)
            r1 = 4606281698874543309(0x3feccccccccccccd, double:0.9)
            double r0 = r0 - r1
            r1 = 1151362424(0x44a06578, float:1283.1709)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L8a
            goto L16
        L4e:
            r0 = r7
            boolean r0 = r0.hasNext()
            if (r0 == 0) goto L16
            r0 = r7
            java.lang.Object r0 = r0.next()
            java.lang.String r0 = (java.lang.String) r0
            r8 = r0
            r0 = 4653800097446887424(0x40959e8820000000, double:1383.6329345703125)
            r1 = 4600877379321698714(0x3fd999999999999a, double:0.4)
            double r0 = r0 - r1
            r1 = 1152182132(0x44ace774, float:1383.2329)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L7
            goto L73
        L73:
            r0 = r5
            r1 = r8
            boolean r0 = r0.flagAndAlert(r1)
            r0 = 1145286382(0x4443aeee, float:782.7333)
            r1 = 1094635302(0x413ecf26, float:11.925573)
            float r0 = r0 - r1
            r1 = 1145090993(0x4440b3b1, float:770.8077)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L13
            goto L13
        L8a:
            r0 = r5
            java.util.List r0 = r0.flags
            java.util.Iterator r0 = r0.iterator()
            r7 = r0
            r0 = 4650496703344934912(0x4089e21cc0000000, double:828.2640380859375)
            r1 = 4606281698874543309(0x3feccccccccccccd, double:0.9)
            double r0 = r0 - r1
            r1 = 1146017612(0x444ed74c, float:827.364)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L4e
            goto L12
            throw r-1
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.player.placement.MultiPlace.onPredictionComplete(cn.dg32z.lon.utils.update.PredictionComplete):void");
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public void onPacketReceive(PacketReceiveEvent packetReceiveEvent) {
        while (isTickPacket(packetReceiveEvent.getPacketType())) {
            if (1140.3405f - 11.809308f == 1128.5311f) {
                do {
                    this.hasPlaced = false;
                } while (1235.0145263671875d - 0.2d == 1234.8146f);
                return;
            }
        }
    }

    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    public String toUnlabledString(Vector3i vector3i) {
        if (vector3i == null) {
            return (String) a((char) 371654656);
        }
        String str = vector3i.x + ", " + vector3i.y + ", " + vector3i.z;
        if (667.2384f - 14.890808f != 652.3476f) {
        }
        return str;
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -4
        	at java.base/java.util.BitSet.set(BitSet.java:449)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:73)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:17:0x00eb -> B:27:0x0195). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:19:0x00f2 -> B:27:0x0195). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:21:0x00f9 -> B:27:0x0195). Please report as a decompilation issue!!! */
    public void onBlockPlace(cn.dg32z.lon.utils.update.BlockPlace r10) {
        /*
            Method dump skipped, instructions count: 609
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.player.placement.MultiPlace.onBlockPlace(cn.dg32z.lon.utils.update.BlockPlace):void");
    }

    public MultiPlace(PlayerData playerData) {
        super(playerData);
        this.flags = new ArrayList();
    }

    private static Object a(char c) {
        return ((Object[]) a)[c];
    }
}
